Page MenuHomePhabricator

Enable arbitrary access on Wikisource projects
Closed, ResolvedPublic1 Story Points

Description

I think we can enable arbitrary access for Wikisource projects in early June, assuming no issues with the feature come up.

Related Objects

StatusAssignedTask
Declineddchen
OpenNone
OpenNone
DuplicateNone
OpenNone
ResolvedAbit
DuplicateNone
OpenNone
OpenNone
OpenNone
OpenNone
OpenNone
OpenNone
StalledNone
InvalidNone
OpenNone
ResolvedTpt
ResolvedLydia_Pintscher
ResolvedLydia_Pintscher
ResolvedLydia_Pintscher
ResolvedLydia_Pintscher
ResolvedJarekt
ResolvedNone
Resolvedaude
Resolvedaude

Event Timeline

aude created this task.May 11 2015, 5:03 PM
aude raised the priority of this task from to Needs Triage.
aude updated the task description. (Show Details)
aude added projects: Wikidata, Roadmap.
aude added a subscriber: aude.
Restricted Application added a project: Notice. · View Herald TranscriptMay 11 2015, 5:03 PM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript

I am presuming that by "arbitrary" that this is usage of a reference point outside of the defined matching/target page.

If we are going to do that, it would probably be useful to explain the points, and the purpose from the WS point of view, rather than the technical means from the WD side. [Simpler language for a community that probably still hasn't got its head wrapped around the concept and broader use of WD, ie. at the moment it adds work to add WD data, for no perceived local benefit at this time)

@Billinghurst: This ticket is for tracking the technical side. The announcement to the project will have more explanation just like it did for Dutch Wikipedia and French Wikisource.

Billinghurst added a comment.EditedMay 12 2015, 10:25 AM

yes @Lydia_Pintscher though this is tagged for Wikisource, so those netizens will take interest in what is being planned for their use.

In such a circumstance there would be value in adding some external links of the general idea for the communities' perusal. IMO always best to bring the communities with you and start the engagement early, rather than those who are suspicious feeling that something is being foisted upon them. So please consider adding the corresponding link to wikidata pages FAQ/...

aude added a comment.EditedMay 13 2015, 12:34 PM

@Billinghurst agree, we should add more explanation when making these tasks.

https://www.wikidata.org/wiki/Wikidata:Arbitrary_access has some more details about what arbitrary access is about.

gpaumier moved this task from Backlog to Triaged on the Notice board.May 14 2015, 10:45 PM
Lydia_Pintscher triaged this task as Normal priority.May 15 2015, 1:20 PM
Lydia_Pintscher moved this task from incoming to ready to go on the Wikidata board.
Lydia_Pintscher set Security to None.
Lydia_Pintscher moved this task from June 2015 to August 2015 on the Roadmap board.
aude added a comment.May 18 2015, 12:35 PM

I think we need to wait for T89002 to be resolved before enabling arbitrary access for srwikisource and zhwikisource since they have language variants.

greg moved this task from August 2015 to June 1-5 on the Roadmap board.May 29 2015, 4:25 PM
greg renamed this task from Enable arbitrary access on Wikisource projects to Enable arbitrary access on Wikisource and itwiki projects.May 29 2015, 4:28 PM
gpaumier moved this task from Triaged to Archive on the Notice board.May 29 2015, 8:21 PM
Lydia_Pintscher renamed this task from Enable arbitrary access on Wikisource and itwiki projects to Enable arbitrary access on Wikisource projects.May 30 2015, 9:56 AM

Change 215012 had a related patch set uploaded (by Aude):
Enable Wikibase arbitrary access on wikisource and itwiki

https://gerrit.wikimedia.org/r/215012

Change 215012 merged by jenkins-bot:
Enable Wikibase arbitrary access on wikisource and itwiki

https://gerrit.wikimedia.org/r/215012

aude closed this task as Resolved.Jun 1 2015, 1:52 PM
aude claimed this task.
aude removed a project: Patch-For-Review.
aude moved this task from Backlog to Done on the Wikidata-Sprint-2015-05-05 board.Jun 1 2015, 1:54 PM
Tobi_WMDE_SW edited a custom field.Jun 1 2015, 2:49 PM